Subject: Re: HELP ! ! Sheet metal math problem - How to calculate a cone ???

From: [email-masked] (Rick DeNatale)
Date: Fri, 26 Jan 1996 22:16:14 -0500

In article <[email-masked]>, [email-masked]
(HEY012345) wrote:

>I am trying to roll a piece of 16 gage sheet-metal into a cone shape.  The
>top diameter of the cone is 18.75 inches.  The bottom diameter of the cone
>is 14.625 inches.  The angle of the side is 48 degrees.  I need to cut an
>outer and inner circle in the piece of 16 gage for my blank. What diameter
>should the two circles be cut to, in order to end up with the proper
>dimensions stated above.  Also, I need to cut a section out of the blank
>before I start rolling to insure the ends will butt up correctly and give
>me the correct diameters.  What size should this section be and at what
>angle should it be cut??   This is not a test.  It is an actual problem we
>can't solve in the machine shop where I work.  Can't find a formula that
>applies.

Well, this got me scratching my head, and here is what I figured out.

First it helps to think of the full cone. To avoid confusing myself I
switched your nomenclature for top and bottom diameter:

                                   B
                                 /|\  \      \
                               /  |  \  \      \
                             /    |    \  Rt    \
                           /      |      \  \      \
                         /        |        \  \      \
                        ----Dt----          Rb
                      /           |           \          \
                    /             |             \          \
                   /              |               \          \
                  A------Db------C

So Dt is the diameter of the top of the truncated cone (14.625 in the
example problem), and Db is the diameter at the base (in the example
18.75). I'm not sure which angle was meant but I'm going to use the angle
ABC and call it alpha. If you wanted to use angle CAB instead just use the
following formulae and substitute 90-alpha for alpha.

The pattern for the sheet metal will be a circular segment of radius Rb,
with an included angle of theta, with a smaller segment of radius Rt
removed. I won't try to render this in ASCII graphics.

So we must solve for Rt, Rb and theta. The definition of the Sin gives us:

    sin alpha = (Dt/2)/Rt
    Rt = Dt / 2 sin alpha
and similarly
    Rb = Db / 2 sin alpha

Now consider that if the pattern were a full circle of radius Rb then the
circumference would be:

   2 pi Rb

we are looking for the segment of this circle which is equal to:

    pi Db

If we express theta in degrees then:

   pi Db = (2 pi Rb) * theta / 360

which gives:
       theta = 360 * (pi Db) / (2 pi Rb)
                = 180 Db/Rb
                 =  180 Db / (Db / 2 sin alpha)
                = 360 sin alpha

Plugging the numbers in gives us:

   Rt = 14.625 / (2 sin 48) = 9.84"
   Rb = 18.75 / (2 sin 48) =  12.61"
   Theta = 360 sin alpha = 267 degrees

To check: the diameter at the base of the finished cone should be:

    pi Db = 58.9 inches
    2 * pi * Rb * Theta / 360 = 58.76 inches

The error is due to doing the intermediate calculations to two places each.

   2 pi

-- 
Rick DeNatale
Still looking for a cool signature ;-)